Subject: Re: bug#35355: 27.0.50; ps-print-buffer-with-faces does not print non-ascii

From: Eli Zaretskii <[email-masked]>
Date: Sun, 21 Apr 2019 12:26:45 +0300

> From: Jean-Christophe Helary <[email-masked]>
> Date: Sun, 21 Apr 2019 18:02:38 +0900
> 
> 
> I tried to print a simple C buffer with some Japanese characters in commentsand the default printout was in b/w, but all the Japanese characters were printed out nicely.
> 
> Then, I tried the ps-print-buffer-with-faces command and the syntax highlighting worked fine but all the Japanese characters were replaced by ???.
> 
> Then, after reading the documentation a bit, I tried to
> (setq ps−multibyte−buffer ’non−latin−printer)
> 
> but now the Japanese characters are totally mojibaked:
> // $*$_$/$8$NFbMF0lMw
> 
> so I tried 'bfd-fonts and I got a weird message about having no font for
> ascii, and with 'bfd-fonts-except-latin, I'm back to ???.
> 
> I tried the same with an elisp file and the result was the same.
> 
> A minor issue is that the first line of the header for the ps file seems
> truncated. Only the path and the date are printed.

Thanks, I hope Handa-san (CC'ed) could comment on this.